/*
  freehanddialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __FREEHANDDIALOG_H__
#define __FREEHANDDIALOG_H__

#include <qvariant.h>
#include <qdialog.h>
class QHBox; 
class QLabel;
class QSpinBox;
class QPushButton;
class QHGroupBox;
class QHButtonGroup;
class QRadioButton;
class QVBoxLayout;

class FreehandDialog : public QDialog
{ 
    Q_OBJECT

  public:
    FreehandDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~FreehandDialog();

	QVBoxLayout *base_vbox;
	QHGroupBox *zoomGroup;
	QLabel *zoomLabel;
	QSpinBox *minZoom;
	QLabel *fromtoLabel;
	QSpinBox *maxZoom;

	QHButtonGroup *formatGroup;

	QRadioButton *formatShell;
	QRadioButton *formatPerl;

	QHBox *hbox;
	QPushButton *cancel;
	QPushButton *ok;

	void setNowZoom(int zoom);
	int getMinZoom();
	int getMaxZoom();
	enum OutputType {
		ShellScript = 0,
		PerlScript,
	};
	int getFormat();

  public slots:
	void press_ok();
	void press_cancel();
	void change_min(int value);
	void change_max(int value);
};

#endif // __FREEHANDDIALOG_H__
