/*
  gpsmenu.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GPSMENU_H__
#define __GPSMENU_H__

#include <qwidget.h>
#include <qpopupmenu.h>

class GPSMenu : public QPopupMenu
{
	Q_OBJECT
  public:
	GPSMenu(QWidget *parent = 0, const char *name = 0);
	void setEnable(bool);

  private:
	enum {
		GPS_SUB_SETTINGS,
		GPS_SUB_SETTING1,
		GPS_SUB_SETTING2,
		GPS_SUB_SETTING3,
		GPS_SUB_SETTING4,
		GPS_SUB_SETTING5,
	};

	void loadConfig();
	void setActive(int id);

  public slots:
	void gps_menu_activated(int id);
};

#endif // __GPSMENU_H__
